# Uses of Interface
org.eclipse.ui.IPropertyListener

Packages that use IPropertyListener
Package
Description
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.team.ui
Provides basic support for managing Team providers.
org.eclipse.team.ui.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.intro
Application programming interfaces for interaction with and extension of the product introduction parts.
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.

## Uses of IPropertyListener in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui with parameters of type IPropertyListener
Modifier and Type
Method
Description
`void`
IDetailPane3.`addPropertyListener(IPropertyListener listener)`
Adds a listener for changes to properties in this detail pane.
`void`
IDetailPane3.`removePropertyListener(IPropertyListener listener)`
Removes the given property listener from this workbench part.

## Uses of IPropertyListener in org.eclipse.team.ui

Methods in org.eclipse.team.ui with parameters of type IPropertyListener
Modifier and Type
Method
Description
`void`
SaveablePartAdapter.`addPropertyListener(IPropertyListener listener)`
Deprecated.
`void`
SaveablePartAdapter.`removePropertyListener(IPropertyListener listener)`
Deprecated.

## Uses of IPropertyListener in org.eclipse.team.ui.mapping

Methods in org.eclipse.team.ui.mapping with parameters of type IPropertyListener
Modifier and Type
Method
Description
`void`
SaveableComparison.`addPropertyListener(IPropertyListener listener)`
Add a property change listener.
`void`
SaveableComparison.`removePropertyListener(IPropertyListener listener)`
Remove a property change listener.

## Uses of IPropertyListener in org.eclipse.ui

Methods in org.eclipse.ui with parameters of type IPropertyListener
Modifier and Type
Method
Description
`void`
IEditorRegistry.`addPropertyListener(IPropertyListener listener)`
Adds a listener for changes to properties of this registry.
`void`
IWorkbenchPart.`addPropertyListener(IPropertyListener listener)`
Adds a listener for changes to properties of this workbench part.
`void`
IWorkbenchPartReference.`addPropertyListener(IPropertyListener listener)`
`void`
IEditorRegistry.`removePropertyListener(IPropertyListener listener)`
Removes the given property listener from this registry.
`void`
IWorkbenchPart.`removePropertyListener(IPropertyListener listener)`
Removes the given property listener from this workbench part.
`void`
IWorkbenchPartReference.`removePropertyListener(IPropertyListener listener)`

## Uses of IPropertyListener in org.eclipse.ui.intro

Methods in org.eclipse.ui.intro with parameters of type IPropertyListener
Modifier and Type
Method
Description
`void`
IIntroPart.`addPropertyListener(IPropertyListener listener)`
Adds a listener for changes to properties of this intro part.
`void`
IIntroPart.`removePropertyListener(IPropertyListener listener)`
Removes the given property listener from this intro part.

## Uses of IPropertyListener in org.eclipse.ui.part

Methods in org.eclipse.ui.part with parameters of type IPropertyListener
Modifier and Type
Method
Description
`void`
IntroPart.`addPropertyListener(IPropertyListener l)`
`void`
WorkbenchPart.`addPropertyListener(IPropertyListener l)`
`void`
IntroPart.`removePropertyListener(IPropertyListener l)`
`void`
WorkbenchPart.`removePropertyListener(IPropertyListener l)`